Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mx.notification
Interface ListenerRegistration

All Known Implementing Classes:
  DefaultListenerRegistration

public interface ListenerRegistration

A notification listener registration.

Version:
  $Revision: 1.3 $
Author:
  Adrian Brock.
See Also:
  `ListenerRegistry`, `ListenerRegistrationFactory`

Method Summary
`NotificationFilter` | `getFilter()` Retrieve the filter for this registration.
`Object` | `getHandback()` Retrieve the handback object for this registration.
`NotificationListener` | `getListener()` Retrieve the listener for this registration.
`NotificationFilter` | `getRegisteredFilter()` Retrieve the filter that was registered.
`NotificationListener` | `getRegisteredListener()` Retrieve the listener that was registered.
`void` | `removed()` Used to tell the registration it is no longer required.

Method Detail

### getListener

    public NotificationListener getListener()

  Retrieve the listener for this registration.

  Returns:
    the listener

### getFilter

    public NotificationFilter getFilter()

  Retrieve the filter for this registration.

  Returns:
    the listener

### getHandback

    public Object getHandback()

  Retrieve the handback object for this registration.

  Returns:
    the handback object

### getRegisteredListener

    public NotificationListener getRegisteredListener()

  Retrieve the listener that was registered. This might be different from listener to use, e.g. the registration factory may generate a proxy.

  Returns:
    the listener

### getRegisteredFilter

    public NotificationFilter getRegisteredFilter()

  Retrieve the filter that was registered. This might be different from filter to use, e.g. the registration factory may generate a proxy.

  Returns:
    the filter

### removed

    public void removed()

  Used to tell the registration it is no longer required.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.